import {Dimensions, StatusBar} from 'react-native';

const {width, height} = Dimensions.get('window');
const screenHeight = Dimensions.get('screen').height;
const referenceWidth = 375;
const referenceHeight = 812;
const horizontalScale = (size: number) => {
  return (width / referenceWidth) * size;
};
const verticalScale = (size: number) => {
  return (height / referenceHeight) * size;
};

const statusBarHeight = StatusBar.currentHeight;
const navBarHeight = screenHeight - height - statusBarHeight;

export const Metrics = {
  screenWidth: width,
  screenHeight: height,
  statusBarHeight,
  navBarHeight,

  horizontal: {
    _0: horizontalScale(0),
    _2: horizontalScale(2),
    _3: horizontalScale(3),
    _4: horizontalScale(4),
    _5: horizontalScale(5),
    _6: horizontalScale(6),
    _7: horizontalScale(7),
    _8: horizontalScale(8),
    _10: horizontalScale(10),
    _12: horizontalScale(12),
    _14: horizontalScale(14),
    _15: horizontalScale(15),
    _16: horizontalScale(16),
    _17: horizontalScale(17),
    _18: horizontalScale(18),
    _19: horizontalScale(19),
    _20: horizontalScale(20),
    _21: horizontalScale(21),
    _22: horizontalScale(22),
    _24: horizontalScale(24),
    _25: horizontalScale(25),
    _28: horizontalScale(28),
    _30: horizontalScale(30),
    _32: horizontalScale(32),
    _34: horizontalScale(34),
    _35: horizontalScale(35),
    _36: horizontalScale(36),
    _40: horizontalScale(40),
    _43: horizontalScale(43),
    _44: horizontalScale(44),
    _45: horizontalScale(45),
    _48: horizontalScale(48),
    _50: horizontalScale(50),
    _55: horizontalScale(55),
    _56: horizontalScale(56),
    _59: horizontalScale(59),
    _60: horizontalScale(60),
    _64: horizontalScale(64),
    _66: horizontalScale(66),
    _68: horizontalScale(68),
    _70: horizontalScale(70),
    _72: horizontalScale(72),
    _74: horizontalScale(74),
    _76: horizontalScale(76),
    _80: horizontalScale(80),
    _84: horizontalScale(84),
    _86: horizontalScale(86),
    _88: horizontalScale(88),
    _90: horizontalScale(90),
    _92: horizontalScale(92),
    _96: horizontalScale(96),
    _98: horizontalScale(98),
    _100: horizontalScale(100),
    _102: horizontalScale(102),
  },
  vertical: {
    _1: verticalScale(1),
    _2: verticalScale(2),
    _3: verticalScale(3),
    _4: verticalScale(4),
    _5: verticalScale(5),
    _8: verticalScale(8),
    _10: verticalScale(10),
    _12: verticalScale(12),
    _13: verticalScale(13),
    _14: verticalScale(14),
    _15: verticalScale(15),
    _16: verticalScale(16),
    _17: verticalScale(17),
    _18: verticalScale(18),
    _20: verticalScale(20),
    _22: verticalScale(22),
    _24: verticalScale(24),
    _25: verticalScale(25),
    _26: verticalScale(26),
    _28: verticalScale(28),
    _30: verticalScale(30),
    _32: verticalScale(32),
    _34: verticalScale(34),
    _36: verticalScale(36),
    _40: verticalScale(40),
    _44: verticalScale(44),
    _48: verticalScale(48),
    _49: verticalScale(49),
    _50: verticalScale(50),
    _56: verticalScale(56),
    _60: verticalScale(60),
    _70: verticalScale(70),
    _76: verticalScale(76),
    _80: verticalScale(80),
    _84: verticalScale(84),
    _90: verticalScale(90),
    _100: verticalScale(100),
  },
};
